import scrapy


class GzhSpiderItem(scrapy.Item):
    video_id = scrapy.Field()  # 视频id
    video_title = scrapy.Field()  # 视频标题
    publish_time_stamp = scrapy.Field()  # 发布时间戳
    publish_time_str = scrapy.Field()    # 发布时间
    user_name = scrapy.Field()   # 公众号名称
    play_cnt = scrapy.Field()  # 播放量
    comment_cnt = scrapy.Field()  # 评论量
    like_cnt = scrapy.Field()  # 点赞量
    share_cnt = scrapy.Field()  # 分享量
    user_id = scrapy.Field()  # 用户id
    avatar_url = scrapy.Field()  # 公众号头像url
    cover_url = scrapy.Field()   # 视频封面url
    article_url = scrapy.Field()   # 文章链接
    video_url = scrapy.Field()  # 视频链接
    session = scrapy.Field()   # session名称
    out_user_id = scrapy.Field()  #
    platform = scrapy.Field()
    strategy = scrapy.Field()
    width = scrapy.Field()
    height = scrapy.Field()
    crawler_rule = scrapy.Field()
    publish_time = scrapy.Field()
    out_video_id = scrapy.Field()
